# Vec3f Class Reference

List of all members.

## Public Member Functions
float | Length (void) const
float | LengthSqr (void) const
void | Normalize (void)
Vec3f | operator* (const float s) const
float | operator* (const Vec3f &A) const
void | operator*= (const float s)
Vec3f | operator+ (const Vec3f &A) const
void | operator+= (const Vec3f A)
Vec3f | operator- (void) const
Vec3f | operator- (const Vec3f &A) const
void | operator-= (const Vec3f A)
Vec3f | operator/ (const float s) const
Vec3f | operator/ (const Vec3f &A) const
void | operator/= (const float s)
Vec3f & | operator= (const Vec3f &A)
float & | operator[] (const int i)
float | operator[] (const int i) const
void | Print ()
void | Set (float v[3])
void | Set (const float X, const float Y, const float Z)
void | UpdateMinMax (Vec3f &Min, Vec3f &Max)
| Vec3f (float v[3])
| Vec3f (const Vec3f &v)
| Vec3f (const float X, const float Y, const float Z)
| Vec3f (void)
## Public Attributes
float | x
float | y
float | z
## Friends
Vec3f | operator* (float s, const Vec3f &v)

## Constructor & Destructor Documentation

Vec3f::Vec3f | ( | void |  | ) | `[inline]`

Vec3f::Vec3f | ( | const float | X,
|  | const float | Y,
|  | const float | Z |
| ) |  |  | `[inline]`

Vec3f::Vec3f | ( | const Vec3f & | v | ) | `[inline]`

Vec3f::Vec3f | ( | float | v[3] | ) | `[inline]`

## Member Function Documentation

float Vec3f::Length | ( | void |  | ) | const`[inline]`

float Vec3f::LengthSqr | ( | void |  | ) | const`[inline]`

void Vec3f::Normalize | ( | void |  | ) | `[inline]`

Vec3f Vec3f::operator* | ( | const float | s | ) | const`[inline]`

float Vec3f::operator* | ( | const Vec3f & | A | ) | const`[inline]`

void Vec3f::operator*= | ( | const float | s | ) | `[inline]`

Vec3f Vec3f::operator+ | ( | const Vec3f & | A | ) | const`[inline]`

void Vec3f::operator+= | ( | const Vec3f | A | ) | `[inline]`

Vec3f Vec3f::operator- | ( | void |  | ) | const`[inline]`

Vec3f Vec3f::operator- | ( | const Vec3f & | A | ) | const`[inline]`

void Vec3f::operator-= | ( | const Vec3f | A | ) | `[inline]`

Vec3f Vec3f::operator/ | ( | const float | s | ) | const`[inline]`

Vec3f Vec3f::operator/ | ( | const Vec3f & | A | ) | const`[inline]`

void Vec3f::operator/= | ( | const float | s | ) | `[inline]`

Vec3f& Vec3f::operator= | ( | const Vec3f & | A | ) | `[inline]`

float& Vec3f::operator[] | ( | const int | i | ) | `[inline]`

float Vec3f::operator[] | ( | const int | i | ) | const`[inline]`

void Vec3f::Print | ( |  | ) | `[inline]`

void Vec3f::Set | ( | float | v[3] | ) | `[inline]`

void Vec3f::Set | ( | const float | X,
|  | const float | Y,
|  | const float | Z |
| ) |  |  | `[inline]`

void Vec3f::UpdateMinMax | ( | Vec3f & | Min,
|  | Vec3f & | Max |
| ) |  |  | `[inline]`

## Friends And Related Function Documentation

Vec3f operator* | ( | float | s,
|  | const Vec3f & | v |
| ) |  |  | `[friend]`

## Member Data Documentation

float Vec3f::x

float Vec3f::y

float Vec3f::z